Receiving Institution

Available Methods

  • CreateQRData - The method returns a QR including the received information and a new card number linked to the input reference with every request.

  • DeactiveateQR - Deactivate a card.


CreateQRData

The method returns a QR including the received information and a new card number linked to the input reference with every request.

Request Path Parameters

ParameterTypeLimitsRequiredDescription
terminalIDstring10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
merchantCategoryCodestring1–4 characters✓Mastercard defined merchant category code
merchantNamestring40 characters✓Business name of the merchant
merchantCitystring25 characters✓City of the merchant
countryCodestring3 characters✓ISO alpha country code of the recipient/merchant. For example, ZAF.
referencestring1–255 characters✓The user-defined reference to the card; for example, a member ID or wallet number
transactionIDstring1–40 characters✓Transaction ID number generated by the calling client
transactionDatedateClient-generated/local transaction date to assist in identifying transactions on the client side
optionalDatastringStruct with optional fields. Only the postalCode field is currently accepted. The maximum length of postalCode is 10.
checksumstring✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key
<methodCall>
    <methodName>CreateQRData</methodName>
    <params>
        <param>
            <value>
                <string>0012546711</string>
            </value>
        </param>
        <param>
            <value>
                <string>5111</string>
            </value>
        </param>
        <param>
            <value>
                <string>Main choc Supplies</string>
            </value>
        </param>
        <param>
            <value>
                <string>Bangkok</string>
            </value>
        </param>
        <param>
            <value>
                <string>THA</string>
            </value>
        </param>
        <param>
            <value>
                <string>tst-ref-01</string>
            </value>
        </param>
        <param>
            <value>
                <string>tst-txid-01</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20180307T13:01:30+0000</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <struct/>
            </value>
        </param>
        <param>
            <value>
                <string>D11B110F10EF0328FAB11113EC1F94402415C991</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParameterTypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
qrCodeStringStringQR code generated for the merchant
qrCodeImageStringBase64 string of QR code image generated for the merchant
cardNumberStringThe first 15 digits of the card number
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <double>1</double>
                        </value>
                    </member>
                    <member>
                        <name>cardNumber</name>
                        <value>
                            <double>1234563265844581</double>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                    <member>
                        <name>qrCodeImage</name>
                        <value>
                            <string>[BINARY IMAGE]</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>

DeactivateQR

Deactivate a card.

Request Path Parameters

ParameterTypeLimitsRequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
cardNumberString16 characters✓The full 16-digit card number
transactionIDString1–40 characters✓Transaction ID number generated by the calling client
transactionDateDateClient-generated/local transaction date to assist in identifying transactions on the client side
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key
<methodCall>
    <methodName>DeactivateQR</methodName>
    <params>
        <param>
            <value>
                <string>0011122411</string>
            </value>
        </param>
        <param>
            <value>
                <string>AFAAFFK121</string>
            </value>
        </param>
        <param>
            <value>
                <string>11111111</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20180328T12:02:09+0200</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>BCF11A9E1111FFC203301333C6008CE61BCD2E91</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParameterTypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <double>1</double>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>

Appendix